Upload stock data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadStockData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"stock_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadStockData"
payload = { "stock_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
stock_data: [
{
date: '2000-01-23T04:56:07.000+00:00',
volume: 5.637376656633329,
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
split_factor: 2.3021358869347655,
high: 6.027456183070403,
low: 1.4658129805029452,
currency: 'currency',
close: 0.8008281904610115,
open: 5.962133916683182
},
{
date: '2000-01-23T04:56:07.000+00:00',
volume: 5.637376656633329,
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
split_factor: 2.3021358869347655,
high: 6.027456183070403,
low: 1.4658129805029452,
currency: 'currency',
close: 0.8008281904610115,
open: 5.962133916683182
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadStockData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadStockData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'stock_data' => [
[
'date' => '2000-01-23T04:56:07.000+00:00',
'volume' => 5.637376656633329,
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'split_factor' => 2.3021358869347655,
'high' => 6.027456183070403,
'low' => 1.4658129805029452,
'currency' => 'currency',
'close' => 0.8008281904610115,
'open' => 5.962133916683182
],
[
'date' => '2000-01-23T04:56:07.000+00:00',
'volume' => 5.637376656633329,
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'split_factor' => 2.3021358869347655,
'high' => 6.027456183070403,
'low' => 1.4658129805029452,
'currency' => 'currency',
'close' => 0.8008281904610115,
'open' => 5.962133916683182
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadStockData"
payload := strings.NewReader("{\n \"stock_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadStockData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"stock_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadStockData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"stock_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": []
}Upload stock data
POST
/
api
/
MarketData
/
UploadStockData
Upload stock data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadStockData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"stock_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadStockData"
payload = { "stock_data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"volume": 5.637376656633329,
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"split_factor": 2.3021358869347655,
"high": 6.027456183070403,
"low": 1.4658129805029452,
"currency": "currency",
"close": 0.8008281904610115,
"open": 5.962133916683182
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
stock_data: [
{
date: '2000-01-23T04:56:07.000+00:00',
volume: 5.637376656633329,
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
split_factor: 2.3021358869347655,
high: 6.027456183070403,
low: 1.4658129805029452,
currency: 'currency',
close: 0.8008281904610115,
open: 5.962133916683182
},
{
date: '2000-01-23T04:56:07.000+00:00',
volume: 5.637376656633329,
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
split_factor: 2.3021358869347655,
high: 6.027456183070403,
low: 1.4658129805029452,
currency: 'currency',
close: 0.8008281904610115,
open: 5.962133916683182
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadStockData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadStockData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'stock_data' => [
[
'date' => '2000-01-23T04:56:07.000+00:00',
'volume' => 5.637376656633329,
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'split_factor' => 2.3021358869347655,
'high' => 6.027456183070403,
'low' => 1.4658129805029452,
'currency' => 'currency',
'close' => 0.8008281904610115,
'open' => 5.962133916683182
],
[
'date' => '2000-01-23T04:56:07.000+00:00',
'volume' => 5.637376656633329,
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'split_factor' => 2.3021358869347655,
'high' => 6.027456183070403,
'low' => 1.4658129805029452,
'currency' => 'currency',
'close' => 0.8008281904610115,
'open' => 5.962133916683182
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadStockData"
payload := strings.NewReader("{\n \"stock_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadStockData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"stock_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadStockData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"stock_data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"volume\": 5.637376656633329,\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"split_factor\": 2.3021358869347655,\n \"high\": 6.027456183070403,\n \"low\": 1.4658129805029452,\n \"currency\": \"currency\",\n \"close\": 0.8008281904610115,\n \"open\": 5.962133916683182\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": []
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Success
Outcome of an operation that returns a success indicator and error messages without a domain-specific payload.
Serialized type of this operation outcome.
Available options:
Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core Whether the operation completed successfully. Check error_messages when this is false.
Messages explaining operation-level failures. Empty when there are no errors.
Was this page helpful?